com.streambase.liveview.server.table.plugin

## Class TestTableProvider.UnsupportedTable

- java.lang.Object
- - com.streambase.liveview.server.table.plugin.TestTableProvider.UnsupportedTable

- All Implemented Interfaces:
    Table
  Enclosing class:
    TestTableProvider

      public static final class TestTableProvider.UnsupportedTable
      extends Object
      implements Table

- - ### Field Summary

    - ### Fields inherited from interface com.streambase.liveview.server.table.Table

      `CQSInternalID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UnsupportedTable()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addListener(EventListener listener, LiveViewQueryType type, QueryModel query)` Add an event listener to this table
    `TablePublisher` | `createPublisher(String publisherName)` Create a new publisher instance for this table
    `void` | `doDelete(String id, QueryModel query)` Delete rows as specified by the QueryModel predicate
    `QueryModel` | `parseQuery(CatalogedTable catalogedTable, String queryString, LiveViewQueryType type, boolean includeInternal)` Parse this query.
    `void` | `removeListener(EventListener listener)` Remove a listener from the table

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UnsupportedTable

          public UnsupportedTable()

  - ### Method Detail

    - #### parseQuery

          public QueryModel parseQuery(CatalogedTable catalogedTable,
                                       String queryString,
                                       LiveViewQueryType type,
                                       boolean includeInternal)
                                throws LiveViewException

      Description copied from interface: `com.streambase.liveview.server.table.Table`
      Parse this query. We promise to hand you exactly the same QueryModel object in addListener.
      Specified by:
        `parseQuery` in interface `Table`
      Parameters:
        `catalogedTable` - This table's representative in TablesTable.
        `queryString` - The entire query
        `type` - CONTINUOUS, SNAPSHOT, etc.
        `includeInternal` - Whether or not the internal-only fields should be included
      Returns:
        representative of the query, most notably including the schema
      Throws:
        `LiveViewException`

    - #### addListener

          public void addListener(EventListener listener,
                                  LiveViewQueryType type,
                                  QueryModel query)
                           throws LiveViewException

      Description copied from interface: `com.streambase.liveview.server.table.Table`
      Add an event listener to this table
      Specified by:
        `addListener` in interface `Table`
      Parameters:
        `listener` - the event listener
        `type` - the type of the query result
      Throws:
        `LiveViewException` - if any server side exception occurs

    - #### removeListener

          public void removeListener(EventListener listener)
                              throws LiveViewException

      Description copied from interface: `com.streambase.liveview.server.table.Table`
      Remove a listener from the table
      Specified by:
        `removeListener` in interface `Table`
      Parameters:
        `listener` - the listener
      Throws:
        `LiveViewException` - if any server side exception occurs

    - #### createPublisher

          public TablePublisher createPublisher(String publisherName)
                                         throws LiveViewException

      Description copied from interface: `com.streambase.liveview.server.table.Table`
      Create a new publisher instance for this table
      Specified by:
        `createPublisher` in interface `Table`
      Parameters:
        `publisherName` - the name of the publisher
      Returns:
        instance of a publisher
      Throws:
        `LiveViewException` - if any server side exception occurs

    - #### doDelete

          public void doDelete(String id,
                               QueryModel query)
                        throws LiveViewException

      Description copied from interface: `com.streambase.liveview.server.table.Table`
      Delete rows as specified by the QueryModel predicate
      Specified by:
        `doDelete` in interface `Table`
        `query` - - the QueryModel that defines what rows to delete
      Throws:
        `LiveViewException` - if any server side exception occurs

Copyright © 2015–2018 Cloud Software Group, Inc.. All rights reserved.